# == Class: site24x7
#
# Full description of class site24x7 here. This class installs Site24x7 Linux Agent.
#
# === Parameters
#
# Document parameters here.
#
# [*sample_parameter*]
#   Explanation of what this parameter affects and what it defaults to.
#   e.g. "Specify one or more upstream ntp servers as an array."
#
# === Variables
#
# Here you should define a list of variables that this module would require.
#
# [*sample_variable*]
#   Explanation of how this variable affects the funtion of this class and if
#   it has a default. e.g. "The parameter enc_ntp_servers must be set by the
#   External Node Classifier as a comma separated list of hostnames." (Note,
#   global variables should be avoided in favor of class parameters as
#   of Puppet 2.6.)
#
# === Authors
#
# Author Name <vrajkumar@manageengine.com>
#
# === Copyright
#
# Free-Open source code fragment




class site24x7() {

include site24x7::params
$api_key=$site24x7::params::site24x7agent_APIkey
if $osfamily=="windows" 
{
notify{'Failed installing agent ${api_key}':}
}
else
{

file {'/tmp/site24x7agent':

ensure=>directory,
mode=>"0755",
}

exec {'Site24x7 Linux Agent':
unless => "/usr/bin/test -f /tmp/site24x7agent/Linux_Agent_64bit.install",
command => "/usr/bin/curl https://plus.site24x7.com//sagent//Site24x7_Linux_64bit.install > /tmp/site24x7agent/Linux_Agent_64bit.install",
creates => "/tmp/site24x7agent/Linux_Agent_64bit.install",
notify => File["/tmp/site24x7agent/Linux_Agent_64bit.install"],
require => File["/tmp/site24x7agent"]
}

file {'/tmp/site24x7agent/Linux_Agent_64bit.install':
require => Exec['Site24x7 Linux Agent'],
mode => "0755",
notify => Exec['Install Linux Agent'],
}

#exec{'Install Linux Agent':
#path=>"/tmp/site24x7agent/",
#unless => "/usr/bin/test -f /opt/site24x7/site24x7install.log",
#command => "./Linux_Agent_64bit.install -i -key=4315877a2169057663356a2ad76033b7",
#creates => "/opt/site24x7/monagent/bin/monagent",
#notify => Notify['Linux Agent installed successfully'],
#require => File['/tmp/site24x7agent/Linux_Agent_64bit.install'],
exec{'Install Linux Agent':
path=>"/tmp/site24x7agent/",
unless => "/usr/bin/test -f /opt/site24x7/site24x7install.log",
#command => "./Linux_Agent_64bit.install -i -key=4315877a2169057663356a2ad76033b7",
command => "/tmp/site24x7agent/./Linux_Agent_64bit.install -i -key=${api_key}",
creates => "/opt/site24x7/monagent/bin/monagent",
notify => Notify['Linux Agent installed successfully'],
require => File['/tmp/site24x7agent/Linux_Agent_64bit.install'],
}

notify {'Linux Agent installed successfully':}

}
}
include site24x7	
#include site24x7::params



